Skip to main content
GET
Read a command's stored output

Authorizations

Authorization
string
header
required

Boat bearer token in the form boat_.... Service API keys authenticate sandbox operations.

Path Parameters

sandboxId
string
required

Public Sandbox id returned by create/list/get sandbox calls.

Pattern: ^bx_[23456789abcdefghjkmnpqrstuvwxyz]{8}$
commandId
string
required

Query Parameters

stream
enum<string>
default:stdout
Available options:
stdout,
stderr
offset
integer
default:0
Required range: x >= 0
limit
integer
default:1048576
Required range: 1 <= x <= 1048576
encoding
enum<string>
default:utf8

base64 returns the exact bytes. utf8 can split a character at the edge of a read.

Available options:
utf8,
base64

Response

The bytes from offset.

ok
boolean
required
Example:

true

type
string
required

Stable success envelope discriminator added by v1.

Allowed value: "command.logs"
commandId
string
required
stream
enum<string>
required
Available options:
stdout,
stderr
offset
integer
required

Byte position of the first byte in data. Greater than the requested offset only when output was not kept (see outputTruncated).

nextOffset
integer
required

Pass as offset to read on.

size
integer
required

Bytes the stream has so far.

encoding
enum<string>
required
Available options:
utf8,
base64
data
string
required
done
boolean
required

True when the command ended and this read reached the end of the stream.